20190223_101256cr.jpg=Kitava Island - Snorkeling
JoyS6.jpg=Kitava Island - walk to the Skull Caves
20190223_085037.jpg=Kitava Island
032.jpg=Kitava Island
03Coral12.jpg=Kitava Island - Snorkeling
20190223_091405.jpg=Kitava Island - walk to the Skull Caves
03Coral3.jpg=Kitava Island - Snorkeling
20190223_002730.jpg=Kitava Island locals
20190223_100654.JPG=Kitava Island - Snorkeling
033.jpg=Kitava Island
20190223_100724.JPG=Kitava Island - Snorkeling
03Coral13.jpg=Kitava Island - Snorkeling
20190223_101424.JPG=Kitava Island - Snorkeling
20190223_100450.JPG=Kitava Island - Snorkeling
20190223_101759.JPG=Kitava Island - Snorkeling
03Coral2.jpg=Kitava Island - Snorkeling
20190223_101421.JPG=Kitava Island - Snorkeling
034.jpg=Kitava Island - walk to the Skull Caves
03Coral14.jpg=Kitava Island - Snorkeling
20190223_002706.jpg=Kitava Island locals
20190223_005112.jpg=Kitava Island
03Coral1.jpg=Kitava Island - Snorkeling
20190223_093844.jpg=Kitava going ashore by tender
20190223_091937.jpg=Kitava Island - walk to the Skull Caves
DSC_3209.JPG=Kitava Island locals
20190223_101639.JPG=Kitava Island - Snorkeling
20190223_085154.jpg=Kitava Island
20190223_091542.jpg=Kitava Island - walk to the Skull Caves
03Coral9.jpg=Kitava Island - Snorkeling
035.jpg=Kitava Island locals
03Coral15.jpg=Kitava Island - Snorkeling
03.jpg=Kitava Island - walk to the Skull Caves
20190223_110114.jpg=Kitava in the Trobriand Islands
DSC_3195.JPG=Kitava in the Trobriand Islands
20190223_091750.jpg=Kitava Island - walk to the Skull Caves
03Coral8.jpg=Kitava Island - Snorkeling
03Coral.jpg=Kitava Island - Snorkeling
20190223_101542.JPG=Kitava Island - Snorkeling
036.jpg=Kitava Island - walk to the Skull Caves
037.jpg=Kitava Island
03Coral7.jpg=Kitava Island - Snorkeling
038.jpg=Kitava Island
DSC_3197.JPG=Kitava going ashore by tender
20190223_100746.JPG=Kitava Island - Snorkeling
03Coral6.jpg=Kitava Island - Snorkeling
20190223_090416.jpg=Just a few hundred metres off Kitava Island is tiny Nuratu Island
20190223_084916.jpg=Kitava going ashore by tender
JoyS61.jpg=Kitava Island
03Coral5.jpg=Kitava Island - Snorkeling
03Coral10.jpg=Kitava Island - Snorkeling
20190223_085003.jpg=Kitava Island
20190223_101427.JPG=Kitava Island - Snorkeling
20190223_093724.jpg=Dugout canoe "taxis"
DSC_3211.JPG=Kitava Island and time to leave
03Pan04.JPG=Kitava in the Trobriand Islands
20190223_101350.JPG=Kitava Island - Snorkeling
DSC_3205.JPG=Kitava going ashore by tender
20190223_092508.jpg=Kitava Island - walk to the Skull Caves
JoyS62.jpg=Kitava Island - Snorkeling
031.jpg=Kitava going ashore by tender
03Coral11.jpg=Kitava Island - Snorkeling
03Coral4.jpg=Kitava Island - Snorkeling
20190223_101320.JPG=Kitava Island - Snorkeling
